package org.bouncycastle.asn1.x509;

import java.util.Enumeration;

import org.bouncycastle.asn1.*;

public class GeneralNames
    implements DEREncodable
{
    DERConstructedSequence  seq;
    boolean                 isImplicit = false;

    public GeneralNames(
        DERConstructedSequence  seq)
    {
        this.seq = seq;
    }

    /*
     * this is a hack! But it will have to do until the ambiguity rules
     * get sorted out for implicit/explicit tagging...
     */
    public void markImplicit(
        boolean    isImplicit)
    {
        this.isImplicit = isImplicit;
    }

    /**
     * <pre>
     * GeneralNames ::= SEQUENCE SIZE {1..MAX} OF GeneralName
     * </pre>
     */
    public DERObject getDERObject()
    {
        if (this.isImplicit)
        {
            GeneralName    o = (GeneralName)seq.getObjectAt(0);

			o.markImplicit(true);
        }

        return seq;
    }
}
